Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1364997 - Container SSA results are aggregated instead of updated
Summary: Container SSA results are aggregated instead of updated
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: SmartState Analysis
Version: 5.6.0
Hardware: Unspecified
OS: Unspecified
high
medium
Target Milestone: GA
: 5.7.0
Assignee: Erez Freiberger
QA Contact: Einat Pacifici
URL:
Whiteboard: container:smartstate
Depends On:
Blocks: 1366596
TreeView+ depends on / blocked
 
Reported: 2016-08-08 10:46 UTC by Erez Freiberger
Modified: 2018-04-17 08:15 UTC (History)
7 users (show)

Fixed In Version: 5.7.0.0
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1366596 (view as bug list)
Environment:
Last Closed: 2017-01-11 19:52:53 UTC
Category: ---
Cloudforms Team: ---


Attachments (Terms of Use)

Description Erez Freiberger 2016-08-08 10:46:54 UTC
Description of problem:
After scanning the same image more than once the OpenSCAP results will be aggregated instead of updated for the new ones.


Version-Release number of selected component (if applicable):


How reproducible:
100%

Steps to Reproduce:
1. Scan the same image more than once.


Actual results:
The number of results is multiplied and all the old results are displayed to the user.

Expected results:
Only the last results should be displayed.

Additional info:
Github issue: https://github.com/ManageIQ/manageiq/issues/10304

Comment 2 Erez Freiberger 2016-08-08 11:05:09 UTC
Proposed fix: https://github.com/ManageIQ/manageiq/pull/10305

Comment 3 Mooli Tayer 2016-08-11 14:20:58 UTC
Fixing version to 5.6.0. scribal error?


Note You need to log in before you can comment on or make changes to this bug.